Subject: bug#45627: Disabling static libraries by default?

From: Ludovic Courtès <[email-masked]>
Date: Wed, 06 Jan 2021 12:00:46 +0100

Hi!

Tobias Geerinckx-Rice via Bug reports for GNU Guix <[email-masked]>
skribis:

> One-liners like this[0] one are about as fun to commit as they are to
> see spam up your -commits@ mailbox, and make me wonder why we don't
> pass ‘--disable-static’ (&c. for other build systems) by default in
> the absence of a :static output.  Has this been discussed and
> rejected?

I don’t think it’s been discussed but I think it’s a good idea!

Hand-written ‘configure’ script will fail when passed
‘--disable-static’, but hopefully those already have a custom phase
because of the other flags we pass by default.

Thanks,
Ludo’.